> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List verifications by phone number



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/verify.yml get /verifications/by_phone_number/{phone_number}
openapi: 3.1.0
info:
  title: Telnyx Verify API
  version: 2.0.0
  description: API for Verify.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /verifications/by_phone_number/{phone_number}:
    get:
      tags:
        - Verify
      summary: List verifications by phone number
      operationId: ListVerifications
      parameters:
        - required: true
          description: The phone number associated with the verifications to retrieve.
          schema:
            example: '+13035551234'
            type: string
            description: +E164 formatted phone number.
          name: phone_number
          in: path
      responses:
        '200':
          description: Expected verifications response to a valid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListVerificationsResponse'
        '400':
          $ref: '#/components/responses/verify_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const byPhoneNumbers = await
            client.verifications.byPhoneNumber.list('+13035551234');


            console.log(byPhoneNumbers.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            by_phone_numbers = client.verifications.by_phone_number.list(
                "+13035551234",
            )
            print(by_phone_numbers.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tbyPhoneNumbers, err := client.Verifications.ByPhoneNumber.List(context.TODO(), \"+13035551234\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", byPhoneNumbers.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.verifications.byphonenumber.ByPhoneNumberListParams;

            import
            com.telnyx.sdk.models.verifications.byphonenumber.ByPhoneNumberListResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ByPhoneNumberListResponse byPhoneNumbers = client.verifications().byPhoneNumber().list("+13035551234");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            by_phone_numbers =
            telnyx.verifications.by_phone_number.list("+13035551234")


            puts(by_phone_numbers)
        - lang: CLI
          source: |-
            telnyx verifications:by-phone-number list \
              --api-key 'My API Key' \
              --phone-number +13035551234
components:
  schemas:
    ListVerificationsResponse:
      title: ListVerificationsResponse
      required:
        - data
        - meta
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Verification'
        meta:
          $ref: '#/components/schemas/verify_Meta'
    Verification:
      title: Verification
      type: object
      properties:
        id:
          example: 12ade33a-21c0-473b-b055-b3c836e1c292
          format: uuid
          type: string
        type:
          $ref: '#/components/schemas/VerificationType'
        record_type:
          $ref: '#/components/schemas/VerificationRecordType'
        phone_number:
          example: '+13035551234'
          type: string
          description: +E164 formatted phone number.
        verify_profile_id:
          example: 12ade33a-21c0-473b-b055-b3c836e1c292
          type: string
          format: uuid
          description: The identifier of the associated Verify profile.
        custom_code:
          example: '43612'
          type:
            - string
            - 'null'
          description: Send a self-generated numeric code to the end-user
          default: null
        timeout_secs:
          example: 300
          type: integer
          description: >-
            This is the number of seconds before the code of the request is
            expired. Once this request has expired, the code will no longer
            verify the user. Note: this will override the
            `default_verification_timeout_secs` on the Verify profile.
        status:
          $ref: '#/components/schemas/VerificationStatus'
        created_at:
          example: '2020-09-14T17:03:32.965812'
          type: string
        updated_at:
          example: '2020-09-14T17:03:32.965812'
          type: string
    verify_Meta:
      type: object
      required:
        - total_pages
        - total_results
        - page_size
        - page_number
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    verify_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/verify_Error'
      type: object
    VerificationType:
      title: VerificationType
      enum:
        - sms
        - call
        - flashcall
        - whatsapp
      type: string
      example: sms
      description: The possible types of verification.
    VerificationRecordType:
      title: VerificationRecordType
      enum:
        - verification
      type: string
      example: verification
      description: The possible verification record types.
    VerificationStatus:
      title: VerificationStatus
      enum:
        - pending
        - accepted
        - invalid
        - expired
        - error
      type: string
      example: accepted
      description: The possible statuses of the verification request.
    verify_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
          example: '10015'
        title:
          type: string
          example: Invalid sorting value
        detail:
          type: string
          example: >-
            The value provided for sorting is not valid. Check the value used
            and try again.
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              example: /sort
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          properties:
            url:
              type: string
              description: URL with additional information on the error.
              example: https://developers.telnyx.com/docs/overview/errors/10015
      type: object
  responses:
    verify_GenericErrorResponse:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/verify_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````